/*
 * linux/include/asm-arm/arch-vnc/system.h
 *
 * Copyright (c) 1996 Russell King.
 */
#ifndef __ASM_ARCH_SYSTEM_H
#define __ASM_ARCH_SYSTEM_H

extern void puthex(unsigned int t);
extern void putstring(char* s);
extern int nwprintk(const char *fmt, ...);
extern int setLED(int led,int processID);
extern int getLED(void);
extern int getIOsemaphore(int processID);
extern int freeIOsemaphore(int processID);
extern int set_CPLD(unsigned int bitset, unsigned int bitmask);
extern int get_CPLD(void);
extern unsigned int board_id;
extern unsigned int serial_num;
/* in arch/arm/kernel/pci.c */
void setup_nw_pci(void);

extern void vnc_reset(void);

extern __inline__ void arch_hard_reset (void)
{
	/*
	 * hit the reset button
	 */
	vnc_reset();
	// and wait
	while (1);
}

struct task_struct;
extern __inline__ void show_sched_on_leds(struct task_struct * next,
                                          struct task_struct * idle_task,
                                          struct task_struct * prev,
                                          int processID) {
    //switch LED state only if switching between idle <-> non-idle
    //optimize for lowest overhead when busy run...
    if (next != idle_task)
    {
        if (prev == idle_task)	//switching from idle to busy
        {
            setLED(2, processID);
        }
    }
    else if (prev != idle_task)	//switching from busy to idle
    {
        setLED(0, processID);
    }
}

#include "irqs.h"
#define ETH0_ADDR 0x300
#define ETH0_IRQ IRQ_ETHER10

#endif
